t.rast.export(1)

NAME
t.rast.export - Exports space time raster dataset.

KEYWORDS
temporal, export, raster, time

SYNOPSIS
t.rast.export
t.rast.export --help
t.rast.export input=name output=name [directory=name] [compression=string] [format=string] [type=string] [createopt=string[,string,...]] [metaopt=string[,string,...]] [nodata=float] [where=sql_query] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

output=name [required]
    Name of a space time raster dataset archive

directory=name
    Path to the work directory, default is /tmp
    Default: /tmp

compression=string
    Compression method of the tar archive
    Options: no, gzip, bzip2
    Default: bzip2

format=string
    The export format of a single raster map
    Supported are GTiff, AAIGrid via r.out.gdal and the GRASS package format of r.pack
    Options: GTiff, AAIGrid, pack
    Default: GTiff

type=string
    Data type
    Supported only for GTiff
    Options: Byte, Int16, UInt16, Int32, UInt32, Float32, Float64, CInt16, CInt32, CFloat32, CFloat64

createopt=string[,string,...]
    Creation option(s) to pass to the output format driver
    In the form of "NAME=VALUE", separate multiple entries with a comma

metaopt=string[,string,...]
    Metadata key(s) and value(s) to include
    In the form of "META-TAG=VALUE", separate multiple entries with a comma. Not supported by all output format drivers.

nodata=float
    Assign a specified nodata value to output bands
    If given, the nodata value is always written to metadata even if there are no NULL cells in the input band (enhances output compatibility).

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

DESCRIPTION
t.rast.export exports a space time raster dataset (strds) as a tar archive. The archive contains the raster maps either as GeoTIFF files or as GRASS binary files exported using r.pack. The map specific color tables are exported in case of GeoTIFF files. In addition several metadata files are created in the archive that describe the temporal layout. All time stamps are stored in the file "list.txt", for each map one row. The name of the map, the start time and the end time are written. In case of a time instance, the start time is equal to the end time. The "init.txt" file stores the temporal type, the number of maps, the chosen export format and some other metadata. The "proj.txt" file stores the projection information as a proj4 string of the location the space time raster dataset was exported from. The file "readme.txt" describes the file format. The output of r.info for each raster map in the space time dataset is stored in "metadata.txt".

The tar archive can be compressed using the compress option. Gzip and bzip2 (default) are available. A where option can be specified, to export only a subset of the space time dataset. Archives exported with t.rast.export can be imported with t.rast.import.

NOTES
The name of output file has to carry the suffix of the archive type, the following suffix can be used:

    •   .tar in the case of compress=no

    •   .tar.bzip2 in the case of compress=bzip2

    •   .tar.gzip in the case of compress=gzip

EXAMPLE
In this example, all the raster maps of 2012 of "tempmean_monthly" will be exported:

t.rast.export input=tempmean_monthly output=tempmean_monthly.tar.bzip2 \
              where="start_time >= ’2012-01-01’ and start_time < ’2013-01-01’"
tar xvjf precipitation_daily.tar.bzip2
2012_01_tempmean.tif
2012_01_tempmean.color
2012_02_tempmean.tif
2012_02_tempmean.color
2012_03_tempmean.tif
2012_03_tempmean.color
2012_04_tempmean.tif
2012_04_tempmean.color
2012_05_tempmean.tif
2012_05_tempmean.color
2012_06_tempmean.tif
2012_06_tempmean.color
2012_07_tempmean.tif
2012_07_tempmean.color
2012_08_tempmean.tif
2012_08_tempmean.color
2012_09_tempmean.tif
2012_09_tempmean.color
2012_10_tempmean.tif
2012_10_tempmean.color
2012_11_tempmean.tif
2012_11_tempmean.color
2012_12_tempmean.tif
2012_12_tempmean.color
list.txt
proj.txt
init.txt
readme.txt
metadata.txt
cat init.txt
stds_type=strds
format=GTiff
temporal_type=absolute
semantic_type=mean
number_of_maps=48
north=320000.0
south=10000.0
east=935000.0
west=120000.0
cat proj.txt
+proj=lcc
+lat_1=36.16666666666666
+lat_2=34.33333333333334
+lat_0=33.75
+lon_0=-79
+x_0=609601.22
+y_0=0
+no_defs
+a=6378137
+rf=298.257222101
+towgs84=0.000,0.000,0.000
+to_meter=1
cat list.txt
2012_01_tempmean|2012-01-01 00:00:00|2012-02-01 00:00:00
2012_02_tempmean|2012-02-01 00:00:00|2012-03-01 00:00:00
2012_03_tempmean|2012-03-01 00:00:00|2012-04-01 00:00:00
2012_04_tempmean|2012-04-01 00:00:00|2012-05-01 00:00:00
2012_05_tempmean|2012-05-01 00:00:00|2012-06-01 00:00:00
2012_06_tempmean|2012-06-01 00:00:00|2012-07-01 00:00:00
2012_07_tempmean|2012-07-01 00:00:00|2012-08-01 00:00:00
2012_08_tempmean|2012-08-01 00:00:00|2012-09-01 00:00:00
2012_09_tempmean|2012-09-01 00:00:00|2012-10-01 00:00:00
2012_10_tempmean|2012-10-01 00:00:00|2012-11-01 00:00:00
2012_11_tempmean|2012-11-01 00:00:00|2012-12-01 00:00:00
2012_12_tempmean|2012-12-01 00:00:00|2013-01-01 00:00:00
cat readme.txt
This space time raster dataset was exported with t.rast.export of GRASS GIS 7
Files:
       *.tif  -- GeoTIFF raster files
     *.color  -- GRASS GIS raster color rules
     proj.txt -- Projection information in PROJ format
     init.txt -- GRASS GIS space time raster dataset information
     list.txt -- Time series file, lists all maps by name with interval
                 time stamps in ISO-Format. Field separator is |
 metadata.txt -- The output of t.info
   readme.txt -- This file

SEE ALSO
t.rast.import, t.create, t.info, r.out.gdal, r.pack, t.vect.export

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast.export source code (history)

Latest change: Mon Dec 30 23:38:16 2019 in commit: ac13b0de4b36d30515425d7310a4c25ca5f358eb

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual